/******************************************************************************

 This file is part of FDD3000 Emulator version 0.2.0

 Copyright (C) 2018 by Sławomir Szczyrba <sszczyrba@gmail.com>

 FDD300Emu is free software: you can redistribute it and/or modify it under
 the terms of the GNU Lesser General Public License as published by the Free
 Software Foundation, either version 2 of the License, or (at your option) any
 later version.

 This program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 details.

 You should have received a copy of the GNU Lesser General Public License
 along with this program. If not, see <http://www.gnu.org/licenses/lgpl.html>

******************************************************************************/

#ifndef FDD3000_H
#define FDD3000_H

#include <stdint.h>
#include "z80free/Z80free.h"

#ifdef __cplusplus
extern "C" {
#endif


#define DEBUG 0
#define debug_print(fmt, ...) \
            do { if (DEBUG) fprintf(stderr, fmt, ##__VA_ARGS__); } while (0)

#define FDD3_DRIVE_NONE 0x00
#define FDD3_DRIVE_0    0x01
#define FDD3_DRIVE_1    0x02
#define FDD3_DRIVE_2    0x04
#define FDD3_DRIVE_3    0x08
#define FDD3_SIDE_B     0x10
#define FDD3_DD         0x20
#define FDD3_HEAD       0x80

void    wrTI2FDD( uint8_t val );
uint8_t rdFDD2TI( void );

extern void     wrCommandReg( uint8_t val );
extern void     wrTrackReg( uint8_t val );
extern void     wrSectorReg( uint8_t val );
extern void     wrDataReg( uint8_t val );

extern uint8_t  rdStatusReg( void );
extern uint8_t  rdTrackReg( void );
extern uint8_t  rdSectorReg( void );
extern uint8_t  rdDataReg( void );

extern void     setDriveCfg( uint8_t val );

void            fddSetDRQ( void );
void            fddClrDRQ( void );
void            fddSetFDCInt( uint8_t val );
void            fddClrFDCInt( void );
void            fddReset( void );
int             fddCpuStep( void );
int             fddCpuUStep( void );

#ifdef __cplusplus
}
#endif

#endif /* FDD3000_H */